import java.math.BigInteger;
import java.io.*;
import java.util.*;

public class Main {

	public Main(){
	
	}
	public static void main(String[] args) {
		try {
			Scanner in = new Scanner(new FileReader("D.in"));
			PrintWriter out = new PrintWriter(new PrintWriter("D.out"));
			BigInteger a, b, n;		
			n = new BigInteger(in.next());
			a = new BigInteger(in.next());
			b = new BigInteger(in.next());
		        n = n.subtract(a);
		        n = n.add(b);
			out.println(n);

			in.close();
			out.close();
		} catch (Exception e) {
			// TODO: handle exception
		}
		
	}

}
